MP4(3)

NAME

MP4GetHintTrackReferenceTrackId - Get the reference track id for a hint track

SYNTAX

#include <mp4.h>

MP4TrackId MP4GetHintTrackReferenceTrackId(
    MP4FileHandle hFile,
    MP4TrackId hintTrackId
)

ARGUMENTS

hFile
    Specifies the mp4 file to which the operation applies.

hintTrackId
    Specifies the hint track to which the operation applies.

RETURN VALUES

Upon success, the track id of the reference media track. Upon an error, MP4_INVALID_TRACK_ID.

DESCRIPTION

MP4GetHintTrackReferenceTrackId gets the track id of the reference media track associated with the specified hint track.

SEE ALSO

MP4(3) MP4AddHintTrack(3)